//
import IKTransaction from './BaseEvent/IKTransaction.js';
import { IKStepFunctionResponse } from './API/IKResponse.js';
//
export default class IKStepTransaction extends IKTransaction {
  constructor(event, context, config) {
    super(event, context, config, false, true /* retrowErrors */);
  }
  /* Response support */
  _getErrorResponse(error, code) {
    return IKStepFunctionResponse({ err: error, errCode: code }, 400);
  }
}

